## org.eclipse.m2m.qvt.oml
Class TransformationExecutor

    java.lang.Object
      org.eclipse.m2m.qvt.oml.TransformationExecutor

    public final class TransformationExecutor

extends java.lang.Object

A utility class that enables to execute existing transformation in the specified execution context.

Since:
  2.0

Constructor Summary
`TransformationExecutor(org.eclipse.emf.common.util.URI uri)` Constructs the executor for the given transformation URI.

Method Summary
`ExecutionDiagnostic` `execute(ExecutionContext executionContext, ModelExtent... modelParameters)` Executes the transformation referred by this executor using the given model parameters and execution context.
`org.eclipse.emf.common.util.Diagnostic` `loadTransformation()` Attempts to load the transformation referred by this executor and checks if it is valid for execution.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformationExecutor

    public TransformationExecutor(org.eclipse.emf.common.util.URI uri)

  Constructs the executor for the given transformation URI.

  No attempt to resolve and load the transformation is done at this step

  Parameters:
    `uri` - the URI of an existing transformation

Method Detail

### loadTransformation

    public org.eclipse.emf.common.util.Diagnostic loadTransformation()

  Attempts to load the transformation referred by this executor and checks if it is valid for execution.

  Remark: Only the first performs the actual transformation loading, subsequent calls to this method will return the existing diagnostic.

  Returns:
    the diagnostic indicating possible problems of the load action

### execute

    public ExecutionDiagnostic execute(ExecutionContext executionContext,
                                       ModelExtent... modelParameters)

  Executes the transformation referred by this executor using the given model parameters and execution context.

  Parameters:
    `executionContext` - the context object keeping the execution environment details
    `modelParameters` - the actual model arguments to the transformation
  Returns:
    the diagnostic object indicating the execution result status, also keeping the details of possible problems
  Throws:
    `java.lang.IllegalArgumentException` - if the context or any of the model parameters is `null`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.